get
https://api.caas.staging.bancocdc.com.br/assignment/list
This route is responsible for fetching the recorded credit assignments.
Response
| Http Code | Return Code | Message |
|---|---|---|
| 200 | 200-01 | Success. |
| 400 | 400-01 | Something unexpected happened. |
| 400 | 400-09 | There are no results for the query. |
| 401 | 401-06 | The requested module is not enabled. |
Response Parameters
| Parameter | Format | Description |
|---|---|---|
| request_code | String | Unique identifier for the request |
| return | Boolean | Indicates if the request was successful |
| return_code | String | Code indicating the result of the request |
| message | String | Description of the result of the request |
| data | Array | Array containing information about recorded assignments |
| data[i].code | String | Unique identifier for the recorded assignment |
| data[i].document_purchaser | String | Document number of the purchaser |
| data[i].name_purchaser | String | Name of the purchaser |
| data[i].number_assignment | Integer | Number assigned to the assignment |
| data[i].total_amount | Float | Total amount of the assignment |
| data[i].code_status | String | Code indicating the status of the assignment |
| data[i].description_status | String | Description of the status of the assignment |
| data[i].created_at | String | Date and time when the assignment was created |